package shop.alien.util.common.constant;

/**
 * 支付枚举
 *
 * @author lyx
 * @date 2025/11/18
 */
public enum PaymentEnum {
    /** 支付宝 */
    ALIPAY("alipay"),
    /** 支付宝服务商支付 */
    ALIPAY_PARTNER("aliPayPartner"),
    /** 微信支付 */
    WECHAT_PAY("wechatPay"),
    /** 微信支付小程序 废弃 */
    WECHAT_PAY_MININ_PROGRAM("wechatPayMininProgram"),
    /** 微信支付（服务商模式 / 特约商户） */
    WECHAT_PAY_PARTNER("wechatPayPartner"),
    /** 微信支付小程序（服务商模式 / 特约商户 JSAPI） */
    WECHAT_PAY_PARTNER_MININ_PROGRAM("wechatPayPartnerMininProgram"),
    /** 银联支付 */
    UNION_PAY("unionPay");

    private final String type;

    PaymentEnum(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }
}
